Page MenuHomePhabricator

Add new user groups for azbwiki
Closed, ResolvedPublic

Description

Please add new user groups for azbwiki with following configuration:

abusefilter => 
    abusefilter-hidden-log
    abusefilter-hide-log
    abusefilter-log
    abusefilter-log-detail
    abusefilter-modify
    abusefilter-modify-restricted
    abusefilter-revert
    abusefilter-view
    abusefilter-view-private

interface-editor => 
    editinterface
    editusercssjs
    tboverride

rollbacker =>
    rollback

patroller =>
    patrol

autopatrolled =>
    autopatrol

transwiki =>
    import
    importupload

Add groups by sysops: abusefilter, rollbacker, patroller, autopatrolled, transwiki
Remove groups by sysops: abusefilter, rollbacker, patroller, autopatrolled, transwiki
Add groups by bureaucrat: interface-editor
Remove groups by bureaucrat: interface-editor

Please also enable import source for transwiki user group from: az, en, fa, incubator
Please enable recent changes patrol as well.

Consensus: https://azb.wikipedia.org/?curid=8646

Thank you.

Event Timeline

Mjbmr created this task.Aug 20 2015, 8:01 PM
Mjbmr raised the priority of this task from to Low.
Mjbmr updated the task description. (Show Details)
Mjbmr added a project: Wikimedia-Site-requests.
Mjbmr added a subscriber: Mjbmr.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 20 2015, 8:01 PM
Mjbmr assigned this task to Dereckson.Aug 21 2015, 11:45 AM
Mjbmr set Security to None.
Mjbmr added subscribers: Dereckson, Glaisher.

Can the abusefilter rights be added to another group instead of using interface editor group for it? Interface editors' role is something else..

Also interface editors are generally not assigned by local sysops (see my rationale at T85713#953308 and related comments there). It should be handled by stewards instead. We have declined this for other wikis as well as don't see why azbwiki should be any different.

Please discuss the above issues with the community.

Community wants these settings.

You can only change add and remove interface-editor to bureaucrat.

Please discuss with the community what Glaisher wrote.

Mjbmr added a comment.Aug 21 2015, 1:57 PM

There is no need, it's clear.

Mjbmr added a comment.EditedAug 21 2015, 2:15 PM

I've let them know.

Mjbmr updated the task description. (Show Details)Aug 21 2015, 2:17 PM
Mjbmr updated the task description. (Show Details)

Wait till August 26.

You can only change add and remove interface-editor to bureaucrat.

Even if this is done, it is unlikely that stewards will assign local bureaucrats to small wikis so it would be kind of pointless because you'd have to ask stewards to assign interface editors.

https://azb.wikipedia.org/w/index.php?diff=41490 Also why did you add others' signatures yourself?

Mjbmr added a comment.Aug 21 2015, 5:46 PM

Even if this is done, it is unlikely that stewards will assign local bureaucrats to small wikis so it would be kind of pointless because you'd have to ask stewards to assign interface editors.

Right such as abusefilter and interface-editor will only be granted by a consensuses, you don't have to be worry about that part, if there was no bureaucrat, will pass the request to stewards. We have even a steward who knows this language.

https://azb.wikipedia.org/w/index.php?diff=41490 Also why did you add others' signatures yourself?

That page is not a discussion page based with signatures, see another example: https://azb.wikipedia.org/?curid=6968 that's the community of azbwiki chose to contribute to vote pages, I've been worried also, but you asked to let the community know, and that's why I asked to wait till Aug 26 so if there was any problem with any request I'll be fix till then, there are two admins active in azbwiki.

Three groups seem absolutely consensual and follows wikis practices: rollbacker, patroller, autopatrolled.

We could first deploy these three, and then wait for further input about the remaining.

Would that be acceptable?

Mjbmr added a comment.Aug 21 2015, 6:22 PM

For me? sure.

Three groups seem absolutely consensual and follows wikis practices: rollbacker, patroller, autopatrolled.
We could first deploy these three, and then wait for further input about the remaining.
Would that be acceptable?

Yes, that is fine.

Change 234910 had a related patch set uploaded (by Mjbmr):
Add new user groups for azbwiki

https://gerrit.wikimedia.org/r/234910

abusefilter-hide-log and abusefilter-hidden-log are Oversight-level permissions which I don't think should be given to non-oversighters IMHO.

Even if this is done, it is unlikely that stewards will assign local bureaucrats to small wikis so it would be kind of pointless because you'd have to ask stewards to assign interface editors.

Hi. Please note that through Special:UserRights at meta we will not be able to assign rights that do not exist at meta, such as abusefilter or templateeditor or editinterface. We will have instead to assign ourselves local steward permissions at azbwiki, perform the change locally and then de-flag ourselves again. This method is not adviced, since it removes public oversight of our actions and split our activities in two different logs. We're suposed to perform those kind of right changes from Meta and be logged in a central location, so everything we do can be seen at one place. Would you please consider granting the ability to promote/demote from those groups to 'sysop' instead? However @Glaisher said this is not going to be possible, so I think we're in an impasse.

Vituzzu added a subscriber: Vituzzu.EditedSep 3 2015, 5:26 PM

abusefilter-hide-log and abusefilter-hidden-log are Oversight-level permissions which I don't think should be given to non-oversighters IMHO.

As soon as a request to suppress an abusefilter log entry at this wiki will be made, this config will break privacy policy.

Snowolf added a subscriber: Snowolf.Sep 3 2015, 6:44 PM

I likewise have to express serious doubts about the propriety and wisdom of granting such sensitive userrights, especially on a wiki with such little supervision. While of course well meaning, I feel this request raises some of the problems previously encountered on hiwiki and on other wikis.

While I share the concerns of some of those who have commented above about the oversight-level permissions being granted in such a manner, I am much more concerned by the creation and assignment of interface editor rights.

The ability to edit javascript and css pages, especially project-wide ones is among the most sensitive permissions available to administrators. It would be most unwise to extend those rights to users who did not have to pass a full RfA on anything that is not a major project where oversight of the css and javascript pages is assumed not to be a worry due to the size of their community.

I would also remind that if the hiwiki situation taught us anything, it's that we should be wary of the needless unbundling of administrative tools on projects without an extensive group of administrator, as it tends to calcify existing power structures and be used to discourage new users from access to the complete administrative toolset. As it has been suggested in the past in similar situations, it would be wiser to encourage more users to seek administrator status, even if only for technical reasons. After all, they can always refrain from using it outside of those situation if they do not feel confident with it. Sysop really ought not to be a big deal :)

Mjbmr added a comment.EditedSep 3 2015, 7:10 PM

Hi. Please note that through Special:UserRights at meta we will not be able to assign rights that do not exist at meta, such as abusefilter or templateeditor or editinterface. We will have instead to assign ourselves local steward permissions at azbwiki, perform the change locally and then de-flag ourselves again. This method is not adviced, since it removes public oversight of our actions and split our activities in two different logs. We're suposed to perform those kind of right changes from Meta and be logged in a central location, so everything we do can be seen at one place. Would you please consider granting the ability to promote/demote from those groups to 'sysop' instead? However @Glaisher said this is not going to be possible, so I think we're in an impasse.

If there were no local bureaucrat, will pass the request to stewards exactly like bot flags, it doesn't matter how is granted.

Mjbmr added a comment.Sep 3 2015, 7:10 PM

abusefilter-hide-log and abusefilter-hidden-log are Oversight-level permissions which I don't think should be given to non-oversighters IMHO.

As soon as a request to suppress an abusefilter log entry at this wiki will be made, this config will break privacy policy.

For hewiki also should be removed or just this wiki?

Mjbmr added a subscriber: csteipp.Sep 3 2015, 7:13 PM
Mjbmr added a comment.Sep 3 2015, 7:26 PM

Privacy issues are removed from the patch, please review again, thanks all.

abusefilter-hide-log and abusefilter-hidden-log are Oversight-level permissions which I don't think should be given to non-oversighters IMHO.

As soon as a request to suppress an abusefilter log entry at this wiki will be made, this config will break privacy policy.

For hewiki also should be removed or just this wiki?

T111439 I hope there are no more such mistakes .___.

Mjbmr claimed this task.Sep 8 2015, 1:57 PM

Change 234910 merged by jenkins-bot:
Add new user groups for azbwiki

https://gerrit.wikimedia.org/r/234910

Mjbmr closed this task as Resolved.Sep 8 2015, 3:21 PM
Mjbmr moved this task from To deploy to Done on the Wikimedia-Site-requests board.